{
  "description": "View EKS Metrics with an out of the box dashboard",
  "image":"data:image/svg+xml;base64,[encoded data, 5212 characters]",
  "layout": [
    {
      "h": 6,
      "i": "9e1d91ec-fb66-4cff-b5c5-282270ebffb5",
      "moved": false,
      "static": false,
      "w": 6,
      "x": 0,
      "y": 0
    },
    {
      "h": 6,
      "i": "4baca9ed-8963-4659-a70c-28fb4db1c2b7",
      "moved": false,
      "static": false,
      "w": 6,
      "x": 6,
      "y": 0
    },
    {
      "h": 6,
      "i": "0866aeea-3b6b-4eee-8621-85afd9728260",
      "w": 6,
      "x": 0,
      "y": 6
    },
    {
      "h": 6,
      "i": "db11e387-f7ef-42ee-91ae-e23f18fdaa06",
      "w": 6,
      "x": 6,
      "y": 6
    },
    {
      "h": 6,
      "i": "2a7f5db3-d226-48b6-9776-2b462e738c2f",
      "w": 6,
      "x": 0,
      "y": 12
    },
    {
      "h": 6,
      "i": "7564c6ee-74bc-4de9-8d3b-6a9a96240115",
      "w": 6,
      "x": 6,
      "y": 12
    }
  ],
  "panelMap": {},
  "tags": [],
  "title": "EKS ControlPlane Overview",
  "uploadedGrafana": false,
  "variables": {
    "1f7a94df-9735-4bfa-a1b8-dca8ac29f945": {
      "allSelected": false,
      "customValue": "",
      "description": "Account Region",
      "id": "1f7a94df-9735-4bfa-a1b8-dca8ac29f945",
      "key": "1f7a94df-9735-4bfa-a1b8-dca8ac29f945",
      "modificationUUID": "aac556e2-8a67-49df-ba58-aaa02f844fbf",
      "multiSelect": false,
      "name": "Region",
      "order": 1,
      "queryValue": "SELECT DISTINCT JSONExtractString(labels, 'cloud_region') AS region\nFROM signoz_metrics.distributed_time_series_v4_1day\nWHERE metric_name like '%aws_EKS%' AND JSONExtractString(labels, 'cloud_account_id') IN {{.Account}} GROUP BY region",
      "showALLOption": false,
      "sort": "DISABLED",
      "textboxValue": "",
      "type": "QUERY"
    },
    "93ee15bf-baab-4abf-8828-fe6e75518417": {
      "allSelected": false,
      "customValue": "",
      "description": "AWS Account ID",
      "id": "93ee15bf-baab-4abf-8828-fe6e75518417",
      "key": "93ee15bf-baab-4abf-8828-fe6e75518417",
      "modificationUUID": "b6cebf5e-517d-44a2-aafb-2d2a07c97646",
      "multiSelect": false,
      "name": "Account",
      "order": 0,
      "queryValue": "SELECT DISTINCT JSONExtractString(labels, 'cloud_account_id') AS cloud_account_id\nFROM signoz_metrics.distributed_time_series_v4_1day\nWHERE metric_name like '%aws_EKS%' GROUP BY cloud_account_id",
      "showALLOption": false,
      "sort": "ASC",
      "textboxValue": "",
      "type": "QUERY"
    },
    "fd28f0e0-d4ec-4bcd-9c45-32395cb0c55b": {
      "customValue": "",
      "description": "EKS Cluster",
      "id": "fd28f0e0-d4ec-4bcd-9c45-32395cb0c55b",
      "modificationUUID": "7d006342-fc74-4af3-9f22-bcee5eba0cd0",
      "multiSelect": false,
      "name": "Cluster",
      "order": 2,
      "queryValue": "SELECT DISTINCT JSONExtractString(labels, 'ClusterName') AS table FROM signoz_metrics.distributed_time_series_v4_1day WHERE metric_name like '%aws_EKS%' AND JSONExtractString(labels, 'cloud_account_id') IN {{.Account}}  AND JSONExtractString(labels, 'cloud_region') IN {{.Region}} and table != '' GROUP BY table\n",
      "showALLOption": false,
      "sort": "ASC",
      "textboxValue": "",
      "type": "QUERY",
      "allSelected": false
    }
  },
  "version": "v4",
  "widgets": [
    {
      "bucketCount": 30,
      "bucketWidth": 0,
      "columnUnits": {},
      "description": "",
      "fillSpans": false,
      "id": "9e1d91ec-fb66-4cff-b5c5-282270ebffb5",
      "isLogScale": false,
      "isStacked": false,
      "mergeAllActiveQueries": false,
      "nullZeroValues": "zero",
      "opacity": "1",
      "panelTypes": "graph",
      "query": {
        "builder": {
          "queryData": [
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_EKS_apiserver_request_total_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_EKS_apiserver_request_total_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "A",
              "filters": {
                "items": [
                  {
                    "id": "cd48d097",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_account_id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_account_id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "e15d2193",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  },
                  {
                    "id": "c6018ac8",
                    "key": {
                      "dataType": "string",
                      "id": "ClusterName--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "ClusterName",
                      "type": "tag"
                    },
                    "op": "in",
                    "value": [
                      "$Cluster"
                    ]
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [
                {
                  "dataType": "string",
                  "id": "ClusterName--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "ClusterName",
                  "type": "tag"
                }
              ],
              "having": [],
              "legend": "{{ClusterName}}",
              "limit": null,
              "orderBy": [],
              "queryName": "A",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            }
          ],
          "queryFormulas": []
        },
        "clickhouse_sql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "id": "9b1c42d6-2017-42ad-a629-b988d098d9bb",
        "promql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "queryType": "builder"
      },
      "selectedLogFields": [
        {
          "dataType": "string",
          "name": "body",
          "type": ""
        },
        {
          "dataType": "string",
          "name": "timestamp",
          "type": ""
        }
      ],
      "selectedTracesFields": [
        {
          "dataType": "string",
          "id": "serviceName--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "serviceName",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "name--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "name",
          "type": "tag"
        },
        {
          "dataType": "float64",
          "id": "durationNano--float64--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "durationNano",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "httpMethod--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "httpMethod",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "responseStatusCode--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "responseStatusCode",
          "type": "tag"
        }
      ],
      "softMax": 0,
      "softMin": 0,
      "stackedBarChart": false,
      "thresholds": [],
      "timePreferance": "GLOBAL_TIME",
      "title": "API Server Request Total",
      "yAxisUnit": "none"
    },
    {
      "bucketCount": 30,
      "bucketWidth": 0,
      "columnUnits": {},
      "description": "",
      "fillSpans": false,
      "id": "4baca9ed-8963-4659-a70c-28fb4db1c2b7",
      "isLogScale": false,
      "isStacked": false,
      "mergeAllActiveQueries": false,
      "nullZeroValues": "zero",
      "opacity": "1",
      "panelTypes": "graph",
      "query": {
        "builder": {
          "queryData": [
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_EKS_apiserver_request_total_4XX_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_EKS_apiserver_request_total_4XX_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "A",
              "filters": {
                "items": [
                  {
                    "id": "ceb37a7e",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_account_id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_account_id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "43d6f274",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  },
                  {
                    "id": "7c5665a7",
                    "key": {
                      "dataType": "string",
                      "id": "ClusterName--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "ClusterName",
                      "type": "tag"
                    },
                    "op": "in",
                    "value": [
                      "$Cluster"
                    ]
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [
                {
                  "dataType": "string",
                  "id": "ClusterName--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "ClusterName",
                  "type": "tag"
                }
              ],
              "having": [],
              "legend": "{{ClusterName}} 4XX",
              "limit": null,
              "orderBy": [],
              "queryName": "A",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            },
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_EKS_apiserver_request_total_5XX_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_EKS_apiserver_request_total_5XX_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "B",
              "filters": {
                "items": [
                  {
                    "id": "ba6a48c6",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_account_id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_account_id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "fe1a0cd2",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  },
                  {
                    "id": "c1adc6df",
                    "key": {
                      "dataType": "string",
                      "id": "ClusterName--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "ClusterName",
                      "type": "tag"
                    },
                    "op": "in",
                    "value": [
                      "$Cluster"
                    ]
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [
                {
                  "dataType": "string",
                  "id": "ClusterName--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "ClusterName",
                  "type": "tag"
                }
              ],
              "having": [],
              "legend": "{{ClusterName}} 5XX",
              "limit": null,
              "orderBy": [],
              "queryName": "B",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            }
          ],
          "queryFormulas": []
        },
        "clickhouse_sql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "id": "e39127a9-e8ac-4ef2-bbf6-5491124773de",
        "promql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "queryType": "builder"
      },
      "selectedLogFields": [
        {
          "dataType": "string",
          "name": "body",
          "type": ""
        },
        {
          "dataType": "string",
          "name": "timestamp",
          "type": ""
        }
      ],
      "selectedTracesFields": [
        {
          "dataType": "string",
          "id": "serviceName--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "serviceName",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "name--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "name",
          "type": "tag"
        },
        {
          "dataType": "float64",
          "id": "durationNano--float64--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "durationNano",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "httpMethod--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "httpMethod",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "responseStatusCode--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "responseStatusCode",
          "type": "tag"
        }
      ],
      "softMax": 0,
      "softMin": 0,
      "stackedBarChart": false,
      "thresholds": [],
      "timePreferance": "GLOBAL_TIME",
      "title": "API Server Error Rates",
      "yAxisUnit": "none"
    },
    {
      "bucketCount": 30,
      "bucketWidth": 0,
      "columnUnits": {},
      "description": "",
      "fillSpans": false,
      "id": "0866aeea-3b6b-4eee-8621-85afd9728260",
      "isLogScale": false,
      "isStacked": false,
      "mergeAllActiveQueries": false,
      "nullZeroValues": "zero",
      "opacity": "1",
      "panelTypes": "graph",
      "query": {
        "builder": {
          "queryData": [
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_EKS_apiserver_request_duration_seconds_GET_P99_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_EKS_apiserver_request_duration_seconds_GET_P99_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "A",
              "filters": {
                "items": [
                  {
                    "id": "fd1d1922",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_account_id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_account_id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "d7eb2ac6",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  },
                  {
                    "id": "0d50579c",
                    "key": {
                      "dataType": "string",
                      "id": "ClusterName--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "ClusterName",
                      "type": "tag"
                    },
                    "op": "in",
                    "value": [
                      "$Cluster"
                    ]
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [
                {
                  "dataType": "string",
                  "id": "ClusterName--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "ClusterName",
                  "type": "tag"
                }
              ],
              "having": [],
              "legend": "{{ClusterName}} GET",
              "limit": null,
              "orderBy": [],
              "queryName": "A",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            },
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_EKS_apiserver_request_duration_seconds_POST_P99_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_EKS_apiserver_request_duration_seconds_POST_P99_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "B",
              "filters": {
                "items": [
                  {
                    "id": "f1d20f31",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_account_id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_account_id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "ce660d67",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  },
                  {
                    "id": "1064a3ca",
                    "key": {
                      "dataType": "string",
                      "id": "ClusterName--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "ClusterName",
                      "type": "tag"
                    },
                    "op": "in",
                    "value": [
                      "$Cluster"
                    ]
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [
                {
                  "dataType": "string",
                  "id": "ClusterName--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "ClusterName",
                  "type": "tag"
                }
              ],
              "having": [],
              "legend": "{{ClusterName}} POST",
              "limit": null,
              "orderBy": [],
              "queryName": "B",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            },
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_EKS_apiserver_request_duration_seconds_PUT_P99_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_EKS_apiserver_request_duration_seconds_PUT_P99_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "C",
              "filters": {
                "items": [
                  {
                    "id": "cd6566ff",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_account_id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_account_id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "e582ca67",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  },
                  {
                    "id": "79853a7c",
                    "key": {
                      "dataType": "string",
                      "id": "ClusterName--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "ClusterName",
                      "type": "tag"
                    },
                    "op": "in",
                    "value": [
                      "$Cluster"
                    ]
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [
                {
                  "dataType": "string",
                  "id": "ClusterName--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "ClusterName",
                  "type": "tag"
                }
              ],
              "having": [],
              "legend": "{{ClusterName}} PUT",
              "limit": null,
              "orderBy": [],
              "queryName": "C",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            }
          ],
          "queryFormulas": []
        },
        "clickhouse_sql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "id": "4e70ded9-c8de-437a-9eff-a0eb7c0e7c5d",
        "promql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "queryType": "builder"
      },
      "selectedLogFields": [
        {
          "dataType": "string",
          "name": "body",
          "type": ""
        },
        {
          "dataType": "string",
          "name": "timestamp",
          "type": ""
        }
      ],
      "selectedTracesFields": [
        {
          "dataType": "string",
          "id": "serviceName--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "serviceName",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "name--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "name",
          "type": "tag"
        },
        {
          "dataType": "float64",
          "id": "durationNano--float64--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "durationNano",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "httpMethod--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "httpMethod",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "responseStatusCode--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "responseStatusCode",
          "type": "tag"
        }
      ],
      "softMax": 0,
      "softMin": 0,
      "stackedBarChart": false,
      "thresholds": [],
      "timePreferance": "GLOBAL_TIME",
      "title": "API Server Request Durations (P99)",
      "yAxisUnit": "s"
    },
    {
      "bucketCount": 30,
      "bucketWidth": 0,
      "columnUnits": {},
      "description": "",
      "fillSpans": false,
      "id": "db11e387-f7ef-42ee-91ae-e23f18fdaa06",
      "isLogScale": false,
      "isStacked": false,
      "mergeAllActiveQueries": false,
      "nullZeroValues": "zero",
      "opacity": "1",
      "panelTypes": "graph",
      "query": {
        "builder": {
          "queryData": [
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_EKS_apiserver_current_inflight_requests_MUTATING_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_EKS_apiserver_current_inflight_requests_MUTATING_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "A",
              "filters": {
                "items": [
                  {
                    "id": "cdd3d571",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_account_id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_account_id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "badba5d2",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  },
                  {
                    "id": "1ae364b5",
                    "key": {
                      "dataType": "string",
                      "id": "ClusterName--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "ClusterName",
                      "type": "tag"
                    },
                    "op": "in",
                    "value": [
                      "$Cluster"
                    ]
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [
                {
                  "dataType": "string",
                  "id": "ClusterName--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "ClusterName",
                  "type": "tag"
                }
              ],
              "having": [],
              "legend": "{{ClusterName}} MUTATING",
              "limit": null,
              "orderBy": [],
              "queryName": "A",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            },
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_EKS_apiserver_current_inflight_requests_READONLY_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_EKS_apiserver_current_inflight_requests_READONLY_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "B",
              "filters": {
                "items": [
                  {
                    "id": "07af73bd",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_account_id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_account_id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "a5792c41",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  },
                  {
                    "id": "a6966360",
                    "key": {
                      "dataType": "string",
                      "id": "ClusterName--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "ClusterName",
                      "type": "tag"
                    },
                    "op": "in",
                    "value": [
                      "$Cluster"
                    ]
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [
                {
                  "dataType": "string",
                  "id": "ClusterName--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "ClusterName",
                  "type": "tag"
                }
              ],
              "having": [],
              "legend": "{{ClusterName}} ReadOnly",
              "limit": null,
              "orderBy": [],
              "queryName": "B",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            }
          ],
          "queryFormulas": []
        },
        "clickhouse_sql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "id": "f13cb685-b41f-427c-b355-6732a107d56a",
        "promql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "queryType": "builder"
      },
      "selectedLogFields": [
        {
          "dataType": "string",
          "name": "body",
          "type": ""
        },
        {
          "dataType": "string",
          "name": "timestamp",
          "type": ""
        }
      ],
      "selectedTracesFields": [
        {
          "dataType": "string",
          "id": "serviceName--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "serviceName",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "name--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "name",
          "type": "tag"
        },
        {
          "dataType": "float64",
          "id": "durationNano--float64--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "durationNano",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "httpMethod--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "httpMethod",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "responseStatusCode--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "responseStatusCode",
          "type": "tag"
        }
      ],
      "softMax": 0,
      "softMin": 0,
      "stackedBarChart": false,
      "thresholds": [],
      "timePreferance": "GLOBAL_TIME",
      "title": "Current Inflight Requests",
      "yAxisUnit": "none"
    },
    {
      "bucketCount": 30,
      "bucketWidth": 0,
      "columnUnits": {},
      "description": "",
      "fillSpans": false,
      "id": "2a7f5db3-d226-48b6-9776-2b462e738c2f",
      "isLogScale": false,
      "isStacked": false,
      "mergeAllActiveQueries": false,
      "nullZeroValues": "zero",
      "opacity": "1",
      "panelTypes": "graph",
      "query": {
        "builder": {
          "queryData": [
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_EKS_scheduler_pending_pods_UNSCHEDULABLE_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_EKS_scheduler_pending_pods_UNSCHEDULABLE_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "A",
              "filters": {
                "items": [
                  {
                    "id": "9272ad56",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_account_id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_account_id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "1b6292ad",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  },
                  {
                    "id": "0242d7f3",
                    "key": {
                      "dataType": "string",
                      "id": "ClusterName--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "ClusterName",
                      "type": "tag"
                    },
                    "op": "in",
                    "value": [
                      "$Cluster"
                    ]
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [
                {
                  "dataType": "string",
                  "id": "ClusterName--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "ClusterName",
                  "type": "tag"
                }
              ],
              "having": [],
              "legend": "{{ClusterName}} Unschedulable",
              "limit": null,
              "orderBy": [],
              "queryName": "A",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            },
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_EKS_scheduler_pending_pods_ACTIVEQ_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_EKS_scheduler_pending_pods_ACTIVEQ_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "B",
              "filters": {
                "items": [
                  {
                    "id": "37b6b2c2",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_account_id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_account_id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "904415fa",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  },
                  {
                    "id": "a77f0131",
                    "key": {
                      "dataType": "string",
                      "id": "ClusterName--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "ClusterName",
                      "type": "tag"
                    },
                    "op": "in",
                    "value": [
                      "$Cluster"
                    ]
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [
                {
                  "dataType": "string",
                  "id": "ClusterName--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "ClusterName",
                  "type": "tag"
                }
              ],
              "having": [],
              "legend": "{{ClusterName}} ActiveQ",
              "limit": null,
              "orderBy": [],
              "queryName": "B",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            },
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_EKS_scheduler_pending_pods_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_EKS_scheduler_pending_pods_max",
                "type": "Gauge"
              },
              "aggregateOperator": "avg",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "C",
              "filters": {
                "items": [
                  {
                    "id": "3c7ff964",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_account_id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_account_id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "945a29cd",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  },
                  {
                    "id": "ebb01cbc",
                    "key": {
                      "dataType": "string",
                      "id": "ClusterName--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "ClusterName",
                      "type": "tag"
                    },
                    "op": "in",
                    "value": [
                      "$Cluster"
                    ]
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [
                {
                  "dataType": "string",
                  "id": "ClusterName--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "ClusterName",
                  "type": "tag"
                }
              ],
              "having": [],
              "legend": "{{ClusterName}}",
              "limit": null,
              "orderBy": [],
              "queryName": "C",
              "reduceTo": "avg",
              "spaceAggregation": "avg",
              "stepInterval": 60,
              "timeAggregation": "avg"
            }
          ],
          "queryFormulas": []
        },
        "clickhouse_sql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "id": "d92d7f2c-fb6b-4b03-b141-762a309a4f39",
        "promql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "queryType": "builder"
      },
      "selectedLogFields": [
        {
          "dataType": "string",
          "name": "body",
          "type": ""
        },
        {
          "dataType": "string",
          "name": "timestamp",
          "type": ""
        }
      ],
      "selectedTracesFields": [
        {
          "dataType": "string",
          "id": "serviceName--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "serviceName",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "name--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "name",
          "type": "tag"
        },
        {
          "dataType": "float64",
          "id": "durationNano--float64--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "durationNano",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "httpMethod--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "httpMethod",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "responseStatusCode--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "responseStatusCode",
          "type": "tag"
        }
      ],
      "softMax": 0,
      "softMin": 0,
      "stackedBarChart": false,
      "thresholds": [],
      "timePreferance": "GLOBAL_TIME",
      "title": "Scheduler Pending Pods",
      "yAxisUnit": "none"
    },
    {
      "bucketCount": 30,
      "bucketWidth": 0,
      "columnUnits": {},
      "description": "",
      "fillSpans": false,
      "id": "7564c6ee-74bc-4de9-8d3b-6a9a96240115",
      "isLogScale": false,
      "isStacked": false,
      "mergeAllActiveQueries": false,
      "nullZeroValues": "zero",
      "opacity": "1",
      "panelTypes": "graph",
      "query": {
        "builder": {
          "queryData": [
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_EKS_apiserver_admission_webhook_request_total_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_EKS_apiserver_admission_webhook_request_total_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "A",
              "filters": {
                "items": [
                  {
                    "id": "506f5d0b",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_account_id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_account_id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "1ea4e5ea",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  },
                  {
                    "id": "16b7af41",
                    "key": {
                      "dataType": "string",
                      "id": "ClusterName--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "ClusterName",
                      "type": "tag"
                    },
                    "op": "in",
                    "value": [
                      "$Cluster"
                    ]
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [
                {
                  "dataType": "string",
                  "id": "ClusterName--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "ClusterName",
                  "type": "tag"
                }
              ],
              "having": [],
              "legend": "{{ClusterName}} Requests",
              "limit": null,
              "orderBy": [],
              "queryName": "A",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            },
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_EKS_apiserver_admission_webhook_request_total_VALIDATING_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_EKS_apiserver_admission_webhook_request_total_VALIDATING_max",
                "type": "Gauge"
              },
              "aggregateOperator": "avg",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "B",
              "filters": {
                "items": [
                  {
                    "id": "42761bd5",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_account_id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_account_id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "80d9d3ff",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  },
                  {
                    "id": "cc6d631c",
                    "key": {
                      "dataType": "string",
                      "id": "ClusterName--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "ClusterName",
                      "type": "tag"
                    },
                    "op": "in",
                    "value": [
                      "$Cluster"
                    ]
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [
                {
                  "dataType": "string",
                  "id": "ClusterName--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "ClusterName",
                  "type": "tag"
                }
              ],
              "having": [],
              "legend": "{{ClusterName}} Validating Requests",
              "limit": null,
              "orderBy": [],
              "queryName": "B",
              "reduceTo": "avg",
              "spaceAggregation": "avg",
              "stepInterval": 60,
              "timeAggregation": "avg"
            }
          ],
          "queryFormulas": []
        },
        "clickhouse_sql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "id": "6c12f010-553a-4088-912a-4933dfd012e8",
        "promql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "queryType": "builder"
      },
      "selectedLogFields": [
        {
          "dataType": "string",
          "name": "body",
          "type": ""
        },
        {
          "dataType": "string",
          "name": "timestamp",
          "type": ""
        }
      ],
      "selectedTracesFields": [
        {
          "dataType": "string",
          "id": "serviceName--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "serviceName",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "name--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "name",
          "type": "tag"
        },
        {
          "dataType": "float64",
          "id": "durationNano--float64--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "durationNano",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "httpMethod--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "httpMethod",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "responseStatusCode--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "responseStatusCode",
          "type": "tag"
        }
      ],
      "softMax": 0,
      "softMin": 0,
      "stackedBarChart": false,
      "thresholds": [],
      "timePreferance": "GLOBAL_TIME",
      "title": "Admission Webhook Requests",
      "yAxisUnit": "none"
    }
  ]
}